/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.ParamArticuloDAO;
import com.rjconsultores.ventaboletos.entidad.ParamArticulo;
import com.rjconsultores.ventaboletos.service.ParamArticuloService;

/**
 * 
 * @author Administrador
 */
@Service("paramArticuloService")
public class ParamArticuloServiceImpl implements ParamArticuloService {

	@Autowired
	private ParamArticuloDAO paramArticuloDAO;

	public List<ParamArticulo> obtenerTodos() {
		return paramArticuloDAO.obtenerTodos();
	}

	public ParamArticulo obtenerID(Integer id) {
		return paramArticuloDAO.obtenerID(id);
	}

	@Transactional
	public ParamArticulo suscribir(ParamArticulo entidad) {

		return paramArticuloDAO.suscribir(entidad);
	}

	@Transactional
	public ParamArticulo actualizacion(ParamArticulo entidad) {

		return paramArticuloDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(ParamArticulo entidad) {

		paramArticuloDAO.actualizacion(entidad);
	}

}
